unit IPCMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, IPS_TLB;

type
  TIPCForm = class(TForm)
    ExitBtn: TButton;
    Panel1: TPanel;
    ConBtn: TButton;
    DisBtn: TButton;
    Edit: TEdit;
    SetBtn: TButton;
    ShowBtn: TButton;
    procedure ConBtnClick(Sender: TObject);
    procedure DisBtnClick(Sender: TObject);
    procedure SetBtnClick(Sender: TObject);
    procedure ShowBtnClick(Sender: TObject);
    procedure ExitBtnClick(Sender: TObject);
  private
    { Private declarations }
    IPTest: IIPTest;
    procedure EnableControls(DoEnable: Boolean);
  public
    { Public declarations }
  end;

var
  IPCForm: TIPCForm;

implementation

uses ComObj;

{$R *.DFM}

procedure TIPCForm.EnableControls(DoEnable: Boolean);
begin
  DisBtn.Enabled := DoEnable;
  Edit.Enabled := DoEnable;
  SetBtn.Enabled := DoEnable;
  ShowBtn.Enabled := DoEnable;
end;

procedure TIPCForm.ConBtnClick(Sender: TObject);
begin
  IPTest := CreateComObject(CLASS_IPTest) as IIPTest;
  EnableControls(True);
end;

procedure TIPCForm.DisBtnClick(Sender: TObject);
begin
  IPTest := nil;
  EnableControls(False);
end;

procedure TIPCForm.SetBtnClick(Sender: TObject);
begin
  IPTest.MessageStr := Edit.Text;
end;

procedure TIPCForm.ShowBtnClick(Sender: TObject);
begin
  IPTest.ShowMessageStr;
end;

procedure TIPCForm.ExitBtnClick(Sender: TObject);
begin
  Close;
end;

end.
